> For the complete documentation index, see [llms.txt](https://docs.maple.finance/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.maple.finance/technical-resources/admin-functions/pool-delegate-admin-actions.md).

# Pool Delegate Admin Actions

## Overview

The Pool Delegate is responsible for administrating a Pool which involves funding Loans, defaulting/impairing Loans and configuring various parameters. Below is a detailed list of the functions a Pool Delegate can call.

## Pool Delegate Callable Functions

### PoolManager

* `upgrade`
* `acceptPoolDelegate`
* `setPendingPoolDelegate`
* `addStrategy` (only before initial configuration; callable prior to `completeConfiguration`)
* `setDelegateManagementFeeRate` (only before initial configuration; callable prior to `completeConfiguration`)
* `setIsStrategy`
* `setLiquidityCap` (only before initial configuration; callable prior to `completeConfiguration`)
* `setPoolPermissionManager` (only before initial configuration; callable prior to `completeConfiguration`)
* `setWithdrawalManager` (only before initial configuration; callable prior to `completeConfiguration`)
* `finishCollateralLiquidation`
* `triggerDefault`

### FixedTermLoanManager

* `upgrade`
* `setAllowedSlippage`
* `setMinRatio`
* `updateAccounting`
* `acceptNewTerms`
* `fund`
* `rejectNewTerms`
* `impairLoan`
* `removeLoanImpairment`

### OpenTermLoanManager

* `upgrade`
* `fund`
* `impairLoan`
* `removeLoanImpairment`

### OpenTermLoan

* `proposeNewTerms`
* `rejectNewTerms`
* `callPrincipal`
* `removeCall`

### Pool Permission Manager

* `configurePool`
* `setLenderAllowlist`
* `setLenderBitmaps`
* `setPoolBitmaps`
* `setPoolPermissionLevel`

### Strategies Contracts

* `claimRewards` (Aave Strategy only)
* `deactivateStrategy`
* `impairStrategy`
* `reactivateStrategy`
* `setStrategyFeeRate`
* `setPsm` (Sky Strategy only)

### Withdrawal Manager (Queue)

* `upgrade`
* `processEmptyRedemptions`
* `processRedemptions`
* `removeRequest`
* `setManualWithdrawal`


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.maple.finance/technical-resources/admin-functions/pool-delegate-admin-actions.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
